# QXmlAttributes Class Reference

### [com.trolltech.qt.xml package]

### Constructor

- void QXmlAttributes()

### Constructor Properties

- prototype: The QXmlAttributes prototype object

### Prototype Object Properties

- void append(String qName, String uri, String localPart, String value)
- void clear()
- int count()
- int index(String qName)
- int length()
- String localName(int index)
- String qName(int index)
- String type(String qName)
- String uri(int index)
- String value(String qName)

### Instance Properties

QXmlAttributes objects have no special properties beyond those inherited from the QXmlAttributes prototype object.